Subject: bug#9990: valgrind warning in add_row_entry

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Nov 2011 14:04:18 +0200

> From: Dan Nicolaescu <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 11 Nov 2011 15:20:19 -0500
> 
> I haven't seen the one in row_equal_p anymore (but that one was not easy
> to reproduce), the ones in update_window still show up.

I added a function that verifies the hash value of glyph rows before
it is used in row_equal_p, and also in adjust_glyph_matrix, where the
offending reallocation takes place.  I cannot trigger the xasserts
that use this function when I use "C-h H".  Can you?

If the hash values are always correct where they are used, I guess
that excludes the possibility that we use an uninitialized value,
right?